Firefox 5 and Garmin Communicator Plugin

 

Firefox 5 is out and after installing it, I got a message that the Garmin Communicator plug in is not supported. Anyone hear if Garmin is going to update this?

--
Garmin 1490T and Tom Tom In-Dash Eclipse II

.

As FF 5 just came out, I would give them a bit. It does support 4, so I imagine 5 will be no different.

--
nüvi 3790T | nüvi 775T | Those who make peaceful revolution impossible, will make violent revolution inevitable ~ JFK

FF5

I use firefox and updated it to 5 and the plugin had no problem.

Special

LMChu wrote:

I use firefox and updated it to 5 and the plugin had no problem.

Doesn't work on my FF5 either, so that is 3 out of 4 where it doesn't work.

If it works for you then you must be SPECIAL.

--
Nuvi 2460LMT

Try this

At the Garmin forum it was said that adding and running firefox's compatibiltiy reporter fixes the problem:

https://addons.mozilla.org/en-US/firefox/addon/add-on-compat...

RE: https://forums.garmin.com/showthread.php?p=95425

OK

Evert wrote:

At the Garmin forum it was said that adding and running firefox's compatibiltiy reporter fixes the problem:

https://addons.mozilla.org/en-US/firefox/addon/add-on-compat...

RE: https://forums.garmin.com/showthread.php?p=95425

Thanks, the first link seems to allow the addon to work in FF5.

--
Nuvi 2460LMT

Firefox 5 and Garmin Communicator

mmullins98 wrote:
Evert wrote:

At the Garmin forum it was said that adding and running firefox's compatibiltiy reporter fixes the problem:

https://addons.mozilla.org/en-US/firefox/addon/add-on-compat...

RE: https://forums.garmin.com/showthread.php?p=95425

Thanks, the first link seems to allow the addon to work in FF5.

You are welcome.

I just now downloaded FF5 and installed it on an XP computer. I already had Garmin Communicator version 2.9.3.0 installed.

I was able to use FF5 to go to Google map and send a waypoint to my Garmin 285W via Garmin Communicator with no problem. This is without doing the "fix" I mentioned above.

The communicator test also works while I am in the FF5 browser.

http://www8.garmin.com/products/communicator/test/

I currently run 7.0a1

I currently run 7.0a1 (64-bit) on the nightly upgrade channel and have the 32-bit Firefox installed at the same time. Both use the same profile and thus both have the same add-ons.

It works fine on 32-bit Firefox, but Garmin currently does not support 64-bit. Not a major surprise as Mozilla themselves currently do not support their 64-bit versions of Firefox.

--
"Anyone who is capable of getting themselves made President should on no account be allowed to do the job." --Douglas Adams

Garmin Communicator

I went to the Firefox Add-On/Plugins site, but cannot find the plugin even using search. Anyone know how to find it?

Go to Garmin and get it from

Go to Garmin and get it from them. The communicator plugin is not available on the Firefox add-ons site.

--
"Anyone who is capable of getting themselves made President should on no account be allowed to do the job." --Douglas Adams

Reinstalling Garmin Communicator v2.93

Doing the above will reinstate Garmin's Communicator plugin/extension after installing Firefox v5.0 disables it.

--
Garmin nuvi 2597MT, 660, too many really.

Thanks for the link.It is

Thanks for the link.It is now working. This may be a Win 7 thing if those running XP with FF5 are not having the problem.

--
Garmin 1490T and Tom Tom In-Dash Eclipse II

Firefox 5

I've always thought it wise to wait before switching to a new version. That way any problems will be hopefully resolved.

--
an94

plugin's get broken

A lot of plugins are getting broken right now. I'd wait.

--
nüvi 3790T | nüvi 775T | Those who make peaceful revolution impossible, will make violent revolution inevitable ~ JFK

FF5

I started to download FF5 but it warned me that Avast's module wouldn't work with FF5. I'm running Win7-64 bit and I'm gonna wait until Avast works with FF5 before upgrading.

All plugins are broken?

That's Odd. I've installed FF 5 on both XP Pro 32bit and 7 Ultimate 64bit. Neither one has any issues with plug-ins, extensions and add-ons. I'm using Adblock Plus, NoScript, Java Console, Adobe Acrobat 9.4.5, Shockwave Flash 10 and a few more. No problem at all.

.

I said a lot, not all... right? wink

FF5 would die without the ones you've listed.

--
nüvi 3790T | nüvi 775T | Those who make peaceful revolution impossible, will make violent revolution inevitable ~ JFK

Oopss... my bad

Must have been a long and tough day. I guess I'm lucky to have none of the broken ones.

No worries

It's all good.

I use those myself, and haven't done the deed yet. Good info for everyone though, thanks!

--
nüvi 3790T | nüvi 775T | Those who make peaceful revolution impossible, will make violent revolution inevitable ~ JFK

The plugin

The plugin works just fine. Manually d/l it. Close firefox and install plugin. Open firefox and go to garmin's website and do your thing.

--
DriveSmart 65 - We do not live in Igloo's and do not all ride to work on snow mobiles.

no problems

Windows Vista 64-bit. Update from FF 4 to 5 by auto update future of FF. No problems, Garmin plugin is working as usual. Plugin version 2.9.3.0, installed before update.

Wait . . . .

FF release schedule has been ramped up significantly to a new version release every 6 week. FF v. 6 is due out in early August, 2011.

Garmin has to work on updating their plug-in's much, much more quickly under this release schedule. I hope they are up to the task.

i had no issues this

i had no issues this morning. you need to manually download the file.

Same here...

LMChu wrote:

I use firefox and updated it to 5 and the plugin had no problem.

Same here... Firefox 5.0 and Garmin plugin works fine for me.

x2

an94 wrote:

I've always thought it wise to wait before switching to a new version. That way any problems will be hopefully resolved.

Agreed, FF4 is working fine for me now, I'll let others find and fix the problems before I upgrade. Not worth the chance of losing what I might lose by upgrading early.

--
Brian Garmin nuvi 255W

Nope. Don't wanna wait.

The_WB wrote:

FF release schedule has been ramped up significantly to a new version release every 6 week. FF v. 6 is due out in early August, 2011.

Garmin has to work on updating their plug-in's much, much more quickly under this release schedule. I hope they are up to the task.

Don't worry, they won't update it fast enough. And then I simply use IE 32-bit to take care of my map downloads, since Communicator does not support 64-bit browsers such as mine (Firefox 7.0a1, 64-bit, nightly update channel).

It may well be the first time that I set up IE View to automatically open a page in IE from Firefox.

--
"Anyone who is capable of getting themselves made President should on no account be allowed to do the job." --Douglas Adams

IE for me

I use Firefox for practically everything I do, with the exception of my banking and loading my Garmin.

I have so many blockers on my Firefox that it is not worth the trouble to figure out which ones to enable, so I just use IE.